﻿// Описание интерфейсов работы с событиями
:iface IEventRecipient {D15F2BB0-BD08-11d3-B950-008048DA0334}
:virt
	void onEvent(const Guid&in eventID, long val, IUnknown& obj)

:service IEventService {EBF766AA-F32C-11D3-9851-008048DA1252}
:virt
	// Рассылка уведомления о событии
	void  notify(const Guid&in eventID, long val=0, IUnknown@ obj=null)
	// Подписка на событие
	void  subscribe(const Guid&in eventID, IEventRecipient@ pRecipient)
	// Отписка от события
	void  unsubscribe(const Guid&in eventID, IEventRecipient@ pRecipient)
:global
:meths
    IEventService@ getEventService()
    {
        return currentProcess().getService(IID_IEventService);
    }
    ---

:guid eventCreateFrame {3573FFE0-2FFF-11D5-BF5E-0050BAE2BC79}
