﻿
:enum ControlMode
    ctrlDesign
    ctrlRunning

:iface IControlDesign {65901BA0-F124-11d3-93F7-008048DA11F9}
:virt
    void setMode(ControlMode mode)
    ControlMode getMode()

:iface ITextManager {2663F1E1-DB40-11d4-B009-004095E12DE6}
:virt
	+1 
	+1 
	+1 
	+1 
	+1 
	+1 
	+1 
	TextManager@ getTextManager()
	
:iface ITextEditor {E82EFAF1-28B8-11d5-B08A-008048DA0765}
:virt
	uint getITextManager(ITextManager@&out)
	TextManager& getTextManager()
	+8
	uint getCaretPosition(TextPosition& out, bool bInScreenCoords = true)
	void setCaretPosition(const TextPosition&in tp, bool bInScreenCoords = true)
	void scrollToCaretPos()

:iface ITextManager_Operations {FDA50A42-C578-405A-AB09-739B1EFF0AC5}
:virt
#if ver>=8.3
	+1
#endif
	save int setExtenderCLSID(const Guid&)
	int getExtenderCLSID(Guid&out)
	+5
	void updateAllViews(int reason = 1, bool erase=false)

:global
:dlls
#if ver < 8.3
    core82.dll
#else
    core83.dll
#endif
	bool is_alnum(uint16)|?is_alnum@core@@YA_N_W@Z
	bool is_alpha(uint16)|?is_alpha@core@@YA_N_W@Z
	bool is_cntrl(uint16)|?is_cntrl@core@@YA_N_W@Z
	bool is_digit(uint16)|?is_digit@core@@YA_N_W@Z
	bool is_graph(uint16)|?is_graph@core@@YA_N_W@Z
	bool is_lower(uint16)|?is_lower@core@@YA_N_W@Z
	bool is_print(uint16)|?is_print@core@@YA_N_W@Z
	bool is_punct(uint16)|?is_punct@core@@YA_N_W@Z
	bool is_space(uint16)|?is_space@core@@YA_N_W@Z
	bool is_title(uint16)|?is_title@core@@YA_N_W@Z
	bool is_upper(uint16)|?is_upper@core@@YA_N_W@Z
	bool is_valid_name(const v8string&in)|?is_valid_name@core@@YA_NABV?$basic_string@_WV?$char_traits@_W@stlp_std@@V?$allocator@_W@2@@stlp_std@@@Z
	bool is_valid_path(const v8string&in)|?is_valid_path@core@@YA_NABV?$basic_string@_WV?$char_traits@_W@stlp_std@@V?$allocator@_W@2@@stlp_std@@@Z
	long hash(const v8string&in)|?hash@core@@YAJABV?$basic_string@_WV?$char_traits@_W@stlp_std@@V?$allocator@_W@2@@stlp_std@@@Z
	long hash_nocase(const v8string&in)|?hash_nocase@core@@YAJABV?$basic_string@_WV?$char_traits@_W@stlp_std@@V?$allocator@_W@2@@stlp_std@@@Z

:guid CLSID_TxtEdtDoc {5C84ACF4-DB1C-11d4-B008-004095E12DE6}
:guid CLSID_TxtEdtView {4A844271-DB1E-11d4-B008-004095E12DE6}
:guid CLSID_TxtEdtCtrl {14C4A229-BFC3-42fe-9CE1-2DA049FD0109}

